<?php
/**
 * Plugin Name: Chatra for WooCommerce
 * Plugin URI: http://woocommerce.com/products/woocommerce-chatra/
 * Description: This plugin allows to quickly install Chatra on any WooCommerce website.
 * Version: 1.0.4
 * WC requires at least: 3.0.0
 * WC tested up to: 8.2.2
 * Author: Chatra
 * Author URI: https://chatra.com
 * Text Domain: woocommerce-chatra
 * Copyright: © 2023 Chatra.
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

if (!defined('ABSPATH')) {
    exit;
}

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    // Check if there is admin user
    if (is_admin()) {
        require_once(dirname(__FILE__) . '/src/class-woocommerce-chatra-admin.php');
        $woocommerce_chatra = new WooCommerce_Chatra_Admin();
    } else {
        require_once(dirname(__FILE__) . '/src/class-woocommerce-chatra.php');
        $woocommerce_chatra = new WooCommerce_Chatra();
    }

    $woocommerce_chatra->init();
    $woocommerce_chatra->init_public_ajax();

    add_action('before_woocommerce_init', function() {
        if (class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class)) {
            \Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
        }
    });
}
